; Plot perimeter length histograms, comparing exact (enumerated) data with
; sampled data.
pro compare, enum_hist, sim_hist
    num_clusters = total(enum_hist)
    sim_samples = total(sim_hist)
    indices = where(enum_hist)

    print, sim_samples, " samples out of ", num_clusters, " clusters."

    plot, (indgen(n_elements(enum_hist))+1)[indices], enum_hist[indices], xstyle = 8, ystyle = 8
    oplot, (indgen(n_elements(sim_hist))+1)[indices], (sim_hist*num_clusters/sim_samples)[indices], psym = 2
end