; Given a series of perimeter-length "histograms" for the same cluster size
; (e.g. an array returned by markov_progressive), return an array
; containing the results of dndp_zero for each histogram.
; Used for debugging dndp_zero
function dndp_trend, cluster_size, gst
    n_sets = (size(gst))[2]
    trend = dblarr(n_sets, /nozero)
    for i=0,n_sets-1 do begin
        trend[i] = dndp_zero(cluster_size, gst[*, i])
    endfor
    return, trend
end
