; For a given cluster size and a coefficent set that corresponds to that
; cluster size (where each element is equal to g_{st}, where s is the cluster
; size and t is equal to the element's index plus one), find where dndp is zero.
; See section 4.2 of the final report for background information.

; NOTE: this is a rather troublesome function - the root finding routine has a
; history of giving bad results when total(gst) is small relative to the total
; number of possible clusters. Replacing newton() with fx_root() seems to have
; helped, but the problem still resurfaces by time cluster_size reaches 100.
; This algorithm really needs to be replaced with something better.

function dndp_zero, cluster_size, gst
    dndp_set, cluster_size, gst
    return, fx_root([0.27, 0.28, 0.29], 'dndp', /double, itmax = 1000, stop = 1, tol = 10d-12)
    ; return, newton(.30, 'dndp', /double)
end
