; Compare exact and estimated frequency data, using the sim and enum tables. 
; Essentially a convenient wrapper for the compare function.
; Parameters:
;  s - cluster size to consider
;  enum - the table containing exact frequency data for various cluster sizes
;  sim - the table containing estimated frequency data for various cluster sizes

pro sim_compare, s, enum, sim
    max_perim = 2l*s + 2l
    compare, enum[0:max_perim-1, s-1], sim[0:max_perim-1, s-1]
end
