; Converts an array of "uni" coordinates to coordinate pairs.
; Essentially a wrapper of array_indices that performs origin-shifting
; Parameters:
;  index - the coordinate(s) to convert.
;  map - the map array that the uni coordinates are indexes for. Must be a
;        2-dimensional square array.
;  origin_shift: the distance between the origin and the right or left edges.
function uni2bi,index,map,origin_shift
    return, ARRAY_INDICES(map, index) - origin_shift
end
