; Used to generate gauss_enum.
; Each row contains (in order) the mean and standard deviation of the normal
; distribution that approximates the corresponding (i.e. same row index)
; histogram in enum[].
function gauss_enum_gen, enum
    gauss_enum = dblarr(2, 22)
    perim = indgen(46)+1
    for i=0,21 do begin
       junk = gaussfit(perim, enum[*, i], coefficents, nterms=3)
       ; Save t_0
       gauss_enum[0, i] = coefficents[1]
       ; Save \sigma:
       gauss_enum[1, i] = coefficents[2]
    endfor

    return, gauss_enum
end

; Suggested plot command:
; plot, indgen(22)+1, gauss_enum[1, *]