; The inverse of bi2markov
; Return, in coordinate form, the cluster represented in the given a markov 
; memory block (as returned by bi2markov and manipulated by markov_chain, 
; trace_cluster, etc.)
function markov2bi, mem
    sites_bi = uni2bi(mem.points, mem.trace_map, mem.trace_map_dim/2)
    junk = trace_cluster(n_elements(mem.points), mem.points[0], mem)
    perim_bi = uni2bi(mem.trace_perim[0:mem.trace_perim_n-1], mem.trace_map, mem.trace_map_dim/2)
    return, {sites:sites_bi, perim:perim_bi}
end
