; A quick and dirty convenience function written to help do markov_chain runs
; for small cluster sizes.
; Do a number of markov chain runs. Do a run for every cluster size from
; "smallest" to "largest". For each run, do "eqtime" iterations to reach
; equilibrium, then do and record "iters" iterations and records the data in the
; appropiate places in "sim".
pro markov_runs, sim, smallest, largest, eqtime, iters
    for s=smallest,largest do begin
       j = s ; I *hate* IDL!!!
       mem = bi2markov(cluster_init(j))
       ; Reach equilibrium
       junk = markov_interruptible(mem, eqtime)
       ; Do the run for real and save the data
       hist = markov_interruptible(mem, iters)
       ; Copy the data to the main simulation data table
       sim[0:n_elements(hist)-1, s-1] = hist
       ; print, i
    endfor
end
